Subject: bug#64106: `modify-services` no longer affects multiple instances of the same service

From: Ludovic Courtès <[email-masked]>
Date: Fri, 07 Jul 2023 16:11:43 +0200

Hi,

Brian Cully <[email-masked]> skribis:

> However, if ‘modify-services’ can be changed to do two passes, the first
> as a sanity check which verifies service references and raises errors,
> and the second to do the actual modification, that should work well. I'm
> not concerned with efficiency particularly. Unless there are many
> thousands of services I sincerely doubt anyone would notice the extra
> pass, even on a Raspberry Pi.

Yeah I think we’ll have to do two passes, or to revert the whole thing.
The former sounds preferable for me.

Could you work on a patch?

Thanks in advance!

Ludo’.